<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">function Devman_UnplugDisk(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="UnplugDisk";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_Rescan(){
		var theform = document.forms['opform'];
		theform.elements[0].value="Rescan";
		theform.submit();
		return true;
	}
	function Devman_ShowSmartPage(id){
		document.location.href="devman.cgi?func=ShowSmartInfo&amp;userid="+userid+"&amp;devid="+id;
		return true;
	}
	function Devman_ShowInitDisksPage(){
		document.location.href="devman.cgi?func=ShowInitDisks&amp;userid="+userid;
		return true;
	}
	function Devman_ChangeReadAhead(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeReadAhead";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeWriteCache(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeWriteCache";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeTCQ(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeTCQ";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function Devman_ChangeNCQ(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="ChangeNCQ";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>

						<tr>
							<td>
								<table id="devicemantable" width="{$pagewidth}">
									<tr>
										<td>
											<button onclick="Devman_Rescan()">Resan Devices</button>
											<button onclick="Devman_ShowInitDisksPage();">Initialize Devices</button>
										</td>
									</tr>
									<xsl:for-each select="hpt_raidman_page/hpt_raid/controllers/controller">
										<tr>
											<td height="24"></td>
										</tr>
										<tr>
											<td class="title" align="center">Controller <xsl:value-of select="position()"/> (<xsl:value-of select="product"/>)</td>
										</tr>
										<tr>
											<td class="content">
												<table width="100%" cellpadding="2">
													<xsl:for-each select="bus/disk">
														<xsl:if test="position()&gt;1">
															<tr>
																<td height="4" class="title"/>
																<td class="title"/>
																<td class="title"/>
																<td class="title"/>
																<td class="title"/>
															</tr>
														</xsl:if>
														<tr>
															<td>
																<xsl:call-template name="DrawDevImgTable"/>
															</td>
															<td class="diskattrname">Model</td>
															<td>
																<xsl:value-of select="model"/>
															</td>
															<td class="diskattrname">Read Ahead</td>
															<xsl:if test="count(read_ahead)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="read_ahead"/>
																			</td>
																			<td>
																				<xsl:call-template name="DrawLabelBtn">
																					<xsl:with-param name="caption">Change</xsl:with-param>
																					<xsl:with-param name="btnid">
																						<xsl:value-of select="@id"/>_ChangeReadAhead</xsl:with-param>
																					<xsl:with-param name="onclick">Devman_ChangeReadAhead("<xsl:value-of select="@id"/>")</xsl:with-param>
																				</xsl:call-template>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(read_ahead)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td class="diskattrname">Revision</td>
															<td>
																<xsl:value-of select="revision"/>
															</td>
															
															<td class="diskattrname">Write Cache</td>
															<xsl:if test="count(write_cache)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="write_cache"/>
																			</td>
																			<td>
																				<xsl:call-template name="DrawLabelBtn">
																					<xsl:with-param name="caption">Change</xsl:with-param>
																					<xsl:with-param name="btnid">
																						<xsl:value-of select="@id"/>_ChangeWriteCache</xsl:with-param>
																					<xsl:with-param name="onclick">Devman_ChangeWriteCache("<xsl:value-of select="@id"/>")</xsl:with-param>
																				</xsl:call-template>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(write_cache)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td>
																<xsl:for-each select="operation">
																	<xsl:if test="@id='UnplugDisk'">
																		<xsl:call-template name="DrawLabelBtn">
																			<xsl:with-param name="caption">Unplug</xsl:with-param>
																			<xsl:with-param name="btnid">
																			<xsl:value-of select="../@id"/>_Unplug</xsl:with-param>
																			<xsl:with-param name="onclick">Devman_UnplugDisk("<xsl:value-of select="../@id"/>")</xsl:with-param>
																		</xsl:call-template>
																	</xsl:if>
																</xsl:for-each>
															</td>
															<td class="diskattrname">Location</td>
															<td>
																<xsl:value-of select="location"/>
															</td>
															<td class="diskattrname">TCQ</td>
															<xsl:if test="count(tcq)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="tcq"/>
																			</td>
																			<td>
																				<xsl:call-template name="DrawLabelBtn">
																					<xsl:with-param name="caption">Change</xsl:with-param>
																					<xsl:with-param name="btnid">
																						<xsl:value-of select="@id"/>_ChangeTCQ</xsl:with-param>
																					<xsl:with-param name="onclick">Devman_ChangeTCQ("<xsl:value-of select="@id"/>")</xsl:with-param>
																				</xsl:call-template>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(tcq)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td>
																<xsl:for-each select="operation">
																	<xsl:if test="@id='ShowSmartInfo'">
																		<xsl:call-template name="DrawLabelBtn">
																					<xsl:with-param name="caption">SMART</xsl:with-param>
																					<xsl:with-param name="btnid">
																						<xsl:value-of select="../@id"/>_Smart</xsl:with-param>
																					<xsl:with-param name="onclick">Devman_ShowSmartPage("<xsl:value-of select="../@id"/>")</xsl:with-param>
																		</xsl:call-template>
																	</xsl:if>
																</xsl:for-each>
															</td>
															<td class="diskattrname">Capacity</td>
															<td>
																<xsl:value-of select="capacity"/>
															</td>
															<td class="diskattrname">NCQ</td>
															<xsl:if test="count(ncq)&gt;0">
																<td>
																	<table border="0">
																		<tr>
																			<td>
																				<xsl:value-of select="ncq"/>
																			</td>
																			<td>
																				<xsl:call-template name="DrawLabelBtn">
																					<xsl:with-param name="caption">Change</xsl:with-param>
																					<xsl:with-param name="btnid">
																						<xsl:value-of select="@id"/>_ChangeNCQ</xsl:with-param>
																					<xsl:with-param name="onclick">Devman_ChangeNCQ("<xsl:value-of select="@id"/>")</xsl:with-param>
																				</xsl:call-template>
																			</td>
																		</tr>
																	</table>
																</td>
															</xsl:if>
															<xsl:if test="count(ncq)=0">
																<td>Not Supported</td>
															</xsl:if>
														</tr>
														<tr>
															<td/>
															<td class="diskattrname">Max Free</td>
															<td>
																<xsl:value-of select="max_free"/>
															</td>
															<td class="diskattrname">Status</td>
															<td>
																<xsl:value-of select="flags/@des"/>
															</td>
														</tr>
													</xsl:for-each>
												</table>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td>
											<form action="devman.cgi?userid={hpt_raidman_page/session/session_id}" name="opform" method="POST">
												<input type="hidden" name="func" value="Func ID"/>
												<input type="hidden" name="devid" value="Device ID"/>
												<input type="hidden" name="newname" value="NewName"/>
											</form>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>