<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:variable name="powerfan_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply Fan 1 Status'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="enclosurefan_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Fan #0 Status(RPM)'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="temperaturevalue_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply Temperature0(C)'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="voltagevalue_sid">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply 3.3V Output(mv)'">
	             <xsl:value-of select="position()"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="num_fan">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Fan Count'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="alarm_temper">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Temperature Threshold'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>
	<xsl:variable name="enclosure_temper">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Enclosure Temperature(C)'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable> 
	<xsl:variable name="pow_model">
	      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	         <xsl:if test="name='Power Supply Vendor/Model'">
	             <xsl:value-of select="valuestring"/>
	        </xsl:if>
	      </xsl:for-each>
	</xsl:variable>        
	<xsl:template match="/">
		<html>
		        <SCRIPT language="Javascript">
		        //#C43100
		        function I2csep_Refresh()
		        {
		            var theform = document.forms['i2csepform'];
		           
		            theform.submit();
		            return true;
		        }
			function checkPar()
			{
			  var theform=document.forms['threshold']
			  if(theform.newvalue.value=="")
			  {
			     alert("please input parameter.");
			     return false;
			  }
			 var low=theform.valuelow.value;
			 var high=theform.valuehigh.value;
			 var value=theform.newvalue.value;
			 if((parseInt(value)&lt;parseInt(low))||(parseInt(value)&gt;parseInt(high)))
			 {
			     alert("please input parameter from "+low+" to "+high);
			     return false;
			 }
			  return true;
			}
			</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init();">
			    <p align="center">
					<table width="{$pagewidth}">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table width="100%">
								        <tr></tr>
								        <tr><button onclick="I2csep_Refresh()" > Refresh</button></tr>
									<tr></tr>
									<tr>
										<td class="title" align="center">SAF-TE Enclosure Information</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
						    <td class="head">Health Information(Enclosure and Power Supply)
							</td>
						</tr>
						<tr>
						    <td class="head">Enclosure Information:
							</td>
						</tr>
						<tr>
						    <td class="content">(Enclosure Temperature):
							</td>
						</tr>							     
                                                <tr> 
						    <td>
							     <table border="1" cellpadding="1" cellspacing="1">
								        <tr>
										  <td>
										     <table border="0">
								                              <tr>
									                                  <td align="center" bgcolor="#FBDBD2">
									                                                    <xsl:if test="number($enclosure_temper)&lt;number($alarm_temper)">
											                                    Status:Good!
											                                    </xsl:if>
											                                    <xsl:if test="number($enclosure_temper)&gt;=number($alarm_temper)">
											                                    Status:Caution!Hot!
											                                    </xsl:if>
											                  </td>
									                      </tr>
									                   
								                              <tr>
									                                   <td>
							                                                          <applet code="temperature.class" width="229" height="39">
																						  <param name="value" value="{$enclosure_temper}"/>
																						  <param name="max" value="150"/>
																						  <param name="temperature" value="temperature.gif"/>
								                                                  </applet>
											                   </td>
									                      </tr>
									                      <tr>
									                                   <td>
									                                          <table>
									                                               <tr>
									                                                     <td width="80%"/>
									                                                     <td align="center" bgcolor="#FBDBD2">
									                                                         <xsl:value-of select="$enclosure_temper"/>F
									                                                     </td>
									                                                  
									                                               </tr>
									                                         </table>
									                                  </td>
									                                 
									                      </tr>
								                      </table>
										 </td>
									    <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									       <xsl:if test="name='Enclosure Temperature Threshold'">
										 <td bgcolor="#6633FF">
										    <form action="i2csep.cgi?userid={../../session/session_id}" name="threshold" method="POST" onsubmit="return checkPar();">
										      <input type="hidden" name="func" value="ChangeValue"/>
										      <input type="hidden" name="index" value="{index}"/>
										      <input type="hidden" name="valuehigh" value="{valuehigh}" />
									              <input type="hidden" name="valuelow" value="{valuelow}" />
										      <table boder="0">
										           <tr>
										               <td class="content">Temperature Threshold</td>
										           </tr>
										           <tr/>
										           <tr>
										               <td align="center">
										                  <input type="text" name="newvalue" value="{value}" style="background:#969AA0;" size="3" maxlength="4"/>F
										               </td>
										           </tr>
										           <tr/>
										           <tr>
										               <td align="center">
										                  <input type="submit" name="submit" value="Enter" style="background:#969AA0;"/>
										               </td>
										           </tr>
										      </table>
										    </form>
									          </td>
									        </xsl:if>
									    </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
						<tr><td height="25"></td></tr>
						<tr>
						    <td class="content">(Enclosure Fan Status(RPM)):
						    </td>
						</tr>
						<tr> 
						    <td>
							     <table border="0">
								        <tr>
									     <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	                                                                        <xsl:if test="position()&gt;=number($enclosurefan_sid)">
	                                                                         <xsl:if test="position()&lt;(number($enclosurefan_sid) + number($num_fan))">
										   <xsl:if test="position() mod (number($enclosurefan_sid)+3)=0">
										    <tr/>
										   </xsl:if>
										  <td>
										     <table border="1" cellpadding="1" cellspacing="1">
								                              <tr>
									                                   <td align="center" class="content">Fan
											                                    
                                                                                                                               <xsl:value-of select="position()-number($enclosurefan_sid)"/>
                                                                                                                            
											                   </td>
									                      </tr>
								                              <tr>
									                                   <td>
							                                                          <applet code="fan.class" width="120" height="120">
																						  <param name="min" value="1000"/>
																						  <param name="max" value="5000"/>
																						 
																						  <param name="powerfan" value="0"/>
																						  <param name="value" value="{value}"/>
																						  
																						  
																						  <param name="imagegood" value="fan_good.gif"/>
																						  <param name="imagebroken" value="fan_broken.gif"/>
																						  <param name="imagenoattach" value="fan_noattach.gif"/>
																						  <param name="posname" value="fan_pos.gif"/>
								                                                  </applet>
											                   </td>
									                      </tr>
									                      <tr>
									                          <td>
									                              <table>
									                                 <tr>
									                                   <td width="30%"/>
									                                   <td align="center" bgcolor="#FBDBD2" width="30%">
									                                    <xsl:value-of select="valuestring"/>RPM
									                                   </td>
									                                   <td/>
									                                  </tr>
									                              </table>
									                           </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
									      </xsl:if>
									    </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
						<tr><td>
						<hr/></td></tr>
						<tr>
						    <td class="head">Power Supply Information:
						    </td>
						</tr>
					   <xsl:if test="$pow_model='Not Installed'">
						<tr>
						    <td class="content">Power Supply IS Not Installed!
						    </td>
						</tr>
				           </xsl:if>
					   <xsl:if test="$pow_model!='Not Installed'">
                                                <tr>
                                                        <td class="content">
                                                        Power Supply Model: <xsl:value-of select="$pow_model"/>    
                                                        </td>
                                                </tr>
                                                <tr> 
                                                    <td class="content">
                                                        <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
                                                            <xsl:if test="name='Power Supply Status'">
                                                               Power Supply Status: <xsl:value-of select="valuestring"/>
                                                            </xsl:if>
                                                        </xsl:for-each>
                                                    </td>
                                                </tr>											
						<tr>
						    <td class="content">(Power Supply Temperature)
						    </td>
						</tr>							     
                                                <tr> 
						    <td>
							     <table border="1" cellpadding="1" cellspacing="1">
								        <tr>
									      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									
	                                                                        <xsl:if test="position()&gt;=number($temperaturevalue_sid)">
	                                                                         <xsl:if test="position()&lt;(number($temperaturevalue_sid) + 2)">
										  <xsl:if test="position()&gt;=(number($temperaturevalue_sid)+3)">
										  <tr/>
										  </xsl:if>
										  <td>
										     <table border="0">
								                              <tr>
									                                  <td align="center" class="content" bgcolor="#FBDBD2">
											                                    
											                                    <xsl:if test="number(valuestring)&lt;number($alarm_temper)">
											                                       Status:Good!
											                                    </xsl:if>
											                                    <xsl:if test="number(valuestring)&gt;=number($alarm_temper)">
											                                       Status:Caution!Hot!
											                                    </xsl:if>
											                                      
											                  </td>
									                      </tr>
								                              
								                              <tr>
									                                   <td>
							                                                          <applet code="temperature.class" width="229" height="39">
																						  <param name="value" value="{valuestring}"/>
																						  <param name="max" value="150"/>
																						  <param name="temperature" value="temperature.gif"/>
								                                                  </applet>
											                   </td>
									                      </tr>
									                      <tr>
									                                   <td>
									                                          <table>
									                                               <tr>
									                                                     <td width="80%"/>
									                                                     <td align="center" bgcolor="#FBDBD2">
									                                                         <xsl:value-of select="valuestring"/>F
									                                                     </td>
									                                                    
									                                               </tr>
									                                         </table>
									                                  </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
									       </xsl:if>
									      </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
                                                
                                                <tr>
                                                        <td class="content">(Power Supply Voltage)
                                                        </td>
                                                </tr>
                                                <tr> 
						    <td>
							     <table border="1" cellpadding="1" cellspacing="1">
								        <tr>
									      <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
									
	                                                                        <xsl:if test="position()&gt;=number($voltagevalue_sid)">
	                                                                         <xsl:if test="position()&lt;(number($voltagevalue_sid) + 4)">
										  <xsl:if test="position() mod (number($voltagevalue_sid)+4)=0">
										  <tr/>
										  </xsl:if>
										  <td>
										     <table border="0">
								                              <tr>
								                                <td align="center">
								                                       <xsl:if test="position()=number($voltagevalue_sid)">
                                                                                                       3.3V Output
                                                                                                       </xsl:if>
                                                                                                       <xsl:if test="position()=number($voltagevalue_sid)+1">
                                                                                                       5V Output
                                                                                                       </xsl:if>
                                                                                                       <xsl:if test="position()=number($voltagevalue_sid)+2">
                                                                                                       12V Output
                                                                                                       </xsl:if>
                                                                                                       <xsl:if test="position()=number($voltagevalue_sid)+3">
                                                                                                       5Vsb Output
                                                                                                       </xsl:if>
                                                                                                </td>
                                                                                              </tr>
                                                                                              <tr>
									                                   <td>
							                                                          <applet code="voltage.class" width="116" height="110">
																						  <param name="min" value="0"/>
																						  <param name="max" value="15"/>
																						  <param name="value" value="{valuestring}"/>
																						  <param name="imagegood" value="voltage_good.gif"/>
																						  <param name="imagebroken" value="voltage_broken.gif"/>
																						  <param name="imagenoattach" value="voltage_noattach.gif"/>
																						  <param name="posname" value="voltage_pos.gif"/>
								                                                  </applet>
											                   </td>
									                      </tr>
									                      <tr>
									                            <td>
									                              <table>
									                                 <tr>
									                                   <td width="50%"/>
									                                   <td align="center" bgcolor="#FDDBD2">
                                                                                                                 <xsl:value-of select="number(valuestring) div 1000"/>V            
											                   </td>
											                 </tr>
											              </table>
											            </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
										</xsl:if>
									      </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
						<tr>
						    <td class="content">(Power Supply Fan Status):
						    </td>
						</tr>
						<tr> 
						    <td>
							     <table border="0">
								        <tr>
									     <xsl:for-each select="hpt_raidman_page/hpt_i2csep/attribute">
	                                                                        <xsl:if test="position()&gt;=number($powerfan_sid)">
	                                                                         <xsl:if test="position()&lt;(number($powerfan_sid) + 3)">
										   <xsl:if test="position() mod (number($powerfan_sid)+3)=0">
										    <tr/>
										   </xsl:if>
										  <td>
										     <table border="1" cellpadding="1" cellspacing="1">
								                              <tr>
									                                   
											                   <td align="center" class="content">Fan
                                                                                                                               <xsl:value-of select="position()-number($powerfan_sid)"/>
											                   </td>
											                  
									                      </tr>
								                              <tr>
									                                   <td>
							                                                          <applet code="fan.class" width="120" height="120">
																						  <param name="min" value="1000"/>
																						  <param name="max" value="4000"/>
																						
																						  <param name="powerfan" value="1"/>
																						  <param name="value" value="{value}"/>
																			
																						  
																						  <param name="imagegood" value="fan_good.gif"/>
																						  <param name="imagebroken" value="fan_broken.gif"/>
																						  <param name="imagenoattach" value="fan_noattach.gif"/>
																						  <param name="posname" value="fan_pos.gif"/>
								                                                  </applet>
											                   </td>
									                      </tr>
								                      </table>
										 </td>
										</xsl:if>
									      </xsl:if>
									    </xsl:for-each>
									</tr>
							       </table>
							</td>
						</tr>
					   </xsl:if>	
                                                <tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
						<tr>
							<td>
								<form action="i2csep.cgi?userid={hpt_raidman_page/session/session_id}" name="i2csepform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
								</form>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>